function GetArabicNumber(number) {
  var charIndex = 0;
  var NumericArabic = "";

  while (charIndex < number.length) {
    switch (number[(charIndex)]) {
      case '.':
        NumericArabic += ".";
        break;
      case '0':
        NumericArabic += "٠";
        break;
      case '1':
        NumericArabic += "١";
        break;
      case '2':
        NumericArabic += "٢";
        break;
      case '3':
        NumericArabic += "٣";
        break;
      case '4':
        NumericArabic += "٤";
        break;
      case '5':
        NumericArabic += "٥";
        break;
      case '6':
        NumericArabic += "٦";
        break;
      case '7':
        NumericArabic += "٧";
        break;
      case '8':
        NumericArabic += "٨";
        break;
      case '9':
        NumericArabic += "٩";
        break;
      default:
        NumericArabic += number[(charIndex)];
        break;
    }

    charIndex++;
  }

  return NumericArabic;
}

jQuery(document).ready(function( $ ) {
	jQuery("#quranic-researcher").click( function() {
		var text = $('input[name=quranic-researcher-text]').val();
		var page = $('input[name=quranic-researcher-page]').val();

		request = {
			text: text,
			page: page
		};

		var json_url = 'json/result.php';

		$.ajax({
				type : "GET",
				url: json_url,
				dataType : "json",
				data: request,
				beforeSend: function(){
					if( text != '' ){
						$('#quranic-researcher-area').html('<div class="mt-3 spinner-border" role="status"><span class="visually-hidden">Loading</span></div>');
						$('#result-text-number').css('display', 'none');
						$('#quranic-researcher-area').css('height', '50px');
					}
				},
				success: function(data) {
					if(data.status == 'success'){
						var result = data.result;
						var total_results = data.total_results;
						var current_page = data.current_page;
						var total_pages = data.total_pages;
						var query = data.query;

						var html;

						$('#quranic-researcher-pagination').html('');

						html = '';

						if( result == null ){
							var resultCount = 0;
							$('#quranic-researcher-area').html('<div class="mt-2 alert alert-warning">'+data.msg+'</div>');
							$('#quranic-researcher-area').css('height', '1px');
						}else{
							var resultCount = result.length;
						}

						if( total_results > 0 ){
							$('#quranic-researcher-area').attr('class', 'overflow-auto');
							$('#result-text-number').css('display', 'block');
							$('#result-count').html(total_results);
							$('#result-page').html(current_page);
							$('#quranic-researcher-area').css('height', '600px');

							if( total_pages == 1 ){
								$('.currenPage').hide();
							}else{
								$('.currenPage').show();
							}
						}

						$.each(result, function( index, value ) {
							var highlighted = value.highlighted;
							var text = value.text;

							if( highlighted != "" ){
								text = highlighted;
							}

							html += '<div class="mb-2 card"><div class="card-body"><a target="_blank" href="'+value.ayah_url+'"><span class="quran-font ayah-text">'+text+'</span></a> <a target="_blank" href="'+value.surah_url+'"><span class="quran-font surah-name">'+value.surah_name+'</span></a> <a target="_blank" href="'+value.ayah_url+'"><span class="quran-font ayah-number">‏‏‎﴿'+GetArabicNumber(value.ayah_id_ar)+'﴾‏</span></a></div></div>';
							if( index > 9 ){
								//return false;
							}
						});

						$('#quranic-researcher-area').html(html);
						
						if( total_pages > 1 ){
							var pagination;
							var p;
	
							pagination = '<div class="mt-4 bg-white p-3">';
							pagination += '<input type="hidden" name="query" value="'+query+'">';
							pagination += '<div class="row g-3">';
							for (p = 1; p <= total_pages; ++p) {
								pagination += '<div class="col-1 text-center">';
								pagination += '<p class="go-page">'+p+'</p>';
								pagination += '</div>';
							}
							pagination += '</div>';
							pagination += '</div>';
							$('#quranic-researcher-pagination').html(pagination);
						}
					}else{
						$('#quranic-researcher-area').attr('class', '');
						$('#quranic-researcher-area').html('<div class="mt-2 alert alert-warning">'+data.msg+'</div>');
						$('#quranic-researcher-pagination').html('');
					}
				}
		});
	});

	$(document).on('click', '.go-page', function(){ 
		var text = $('input[name=query]').val();
		var page = $(this).text();
		$(".go-page").removeClass('go-page-active');
		$(this).addClass('go-page-active');

		request = {
			text: text,
			page: page
		};

		var json_url = 'json/result.php';

		$.ajax({
			type : "GET",
			url: json_url,
			dataType : "json",
			data: request,
			beforeSend: function(){
				if( text != '' ){
					$('#quranic-researcher-area').html('<div class="mt-3 spinner-border" role="status"><span class="visually-hidden">Loading</span></div>');
					$('#result-text-number').css('display', 'none');
					$('#quranic-researcher-area').css('height', '50px');
				}
			},
			success: function(data) {
				if(data.status == 'success'){
					var result = data.result;
					var total_results = data.total_results;
					var current_page = data.current_page;
					var total_pages = data.total_pages;
					var query = data.query;

					var html;

					html = '';

					if( result == null ){
						$('#quranic-researcher-area').html('<div class="mt-2 alert alert-warning">'+data.msg+'</div>');
						$('#quranic-researcher-area').css('height', '1px');
						$('#quranic-researcher-pagination').html('');
					}

					if( total_results > 0 ){
						$('#quranic-researcher-area').attr('class', 'overflow-auto');
						$('#result-text-number').css('display', 'block');
						$('#result-count').html(total_results);
						$('#result-page').html(current_page);
						if( total_pages == 1 ){
							$('.currenPage').hide();
						}else{
							$('.currenPage').show();
						}
						$('#quranic-researcher-area').css('height', '600px');
					}

					$.each(result, function( index, value ) {
						var highlighted = value.highlighted;
						var text = value.text;

						if( highlighted != "" ){
							text = highlighted;
						}

						html += '<div class="mb-2 card"><div class="card-body"><a target="_blank" href="'+value.ayah_url+'"><span class="quran-font ayah-text">'+text+'</span></a> <a target="_blank" href="'+value.surah_url+'"><span class="quran-font surah-name">'+value.surah_name+'</span></a> <a target="_blank" href="'+value.ayah_url+'"><span class="quran-font ayah-number">‏‏‎﴿'+GetArabicNumber(value.ayah_id_ar)+'﴾‏</span></a></div></div>';
						if( index > 9 ){
							//return false;
						}
					});

					$('#quranic-researcher-area').html(html);
				}else{
					$('#quranic-researcher-area').attr('class', '');
					$('#quranic-researcher-area').html('<div class="mt-2 alert alert-warning">'+data.msg+'</div>');
					$('#quranic-researcher-pagination').html('');
				}
			}
		});
	});

	$("#quranic-researcher-input").keydown(e => {
		if (e.which === 13) {
			$("#quranic-researcher").triggerHandler("click");
			e.preventDefault();
		}
	});
});
